Index: dlls/x11drv/window.c
===================================================================
RCS file: /home/wine/wine/dlls/x11drv/window.c,v
retrieving revision 1.30
diff -u -w -r1.30 window.c
--- dlls/x11drv/window.c	2002/01/21 18:41:27	1.30
+++ dlls/x11drv/window.c	2002/01/28 03:14:46
@@ -32,6 +32,8 @@
 
 extern Pixmap X11DRV_BITMAP_Pixmap( HBITMAP );
 
+extern int usewmframes;
+
 #define HAS_DLGFRAME(style,exStyle) \
     (((exStyle) & WS_EX_DLGMODALFRAME) || \
      (((style) & WS_DLGFRAME) && !((style) & WS_THICKFRAME)))
@@ -380,6 +382,9 @@
         MwmHints mwm_hints;
         mwm_hints.flags = MWM_HINTS_FUNCTIONS | MWM_HINTS_DECORATIONS;
         mwm_hints.functions = 0;
+        mwm_hints.decorations = 0;
+        if(usewmframes)
+        {
         if ((win->dwStyle & WS_CAPTION) == WS_CAPTION) mwm_hints.functions |= MWM_FUNC_MOVE;
         if (win->dwStyle & WS_THICKFRAME) mwm_hints.functions |= MWM_FUNC_MOVE | MWM_FUNC_RESIZE;
         if (win->dwStyle & WS_MINIMIZE)   mwm_hints.functions |= MWM_FUNC_MINIMIZE;
@@ -395,6 +400,7 @@
         if (win->dwStyle & WS_SYSMENU)  mwm_hints.decorations |= MWM_DECOR_MENU;
         if (win->dwStyle & WS_MINIMIZE) mwm_hints.decorations |= MWM_DECOR_MINIMIZE;
         if (win->dwStyle & WS_MAXIMIZE) mwm_hints.decorations |= MWM_DECOR_MAXIMIZE;
+        }
 
         XChangeProperty( display, data->whole_window, mwmHints, mwmHints, 32,
                          PropModeReplace, (char*)&mwm_hints, sizeof(mwm_hints)/sizeof(long) );
@@ -469,7 +475,7 @@
 {
     RECT rc;
 
-    if (!(win->dwExStyle & WS_EX_MANAGED)) return;
+    if ( (!usewmframes) || !(win->dwExStyle & WS_EX_MANAGED)) return;
     if (IsRectEmpty( rect )) return;
 
     rc.top = rc.bottom = rc.left = rc.right = 0;
@@ -492,7 +498,7 @@
  */
 void X11DRV_X_to_window_rect( WND *win, RECT *rect )
 {
-    if (!(win->dwExStyle & WS_EX_MANAGED)) return;
+    if ( (!usewmframes) || !(win->dwExStyle & WS_EX_MANAGED)) return;
     if (IsRectEmpty( rect )) return;
 
     AdjustWindowRectEx( rect, win->dwStyle & ~(WS_HSCROLL|WS_VSCROLL), FALSE, win->dwExStyle );
Index: dlls/x11drv/winpos.c
===================================================================
RCS file: /home/wine/wine/dlls/x11drv/winpos.c,v
retrieving revision 1.35
diff -u -w -r1.35 winpos.c
--- dlls/x11drv/winpos.c	2001/12/17 22:09:18	1.35
+++ dlls/x11drv/winpos.c	2002/01/28 03:14:48
@@ -54,6 +54,7 @@
 #define ON_BOTTOM_BORDER(hit) \
  (((hit) == HTBOTTOM) || ((hit) == HTBOTTOMLEFT) || ((hit) == HTBOTTOMRIGHT))
 
+extern int usewmframes;
 
 /***********************************************************************
  *		clip_children
@@ -1795,7 +1796,8 @@
     pt.y = SHIWORD(dwPoint);
     capturePoint = pt;
 
-    if (IsZoomed(hwnd) || !IsWindowVisible(hwnd) || (exstyle & WS_EX_MANAGED)) return;
+    if (IsZoomed(hwnd) || !IsWindowVisible(hwnd)) return;
+    if ( (exstyle & WS_EX_MANAGED) && usewmframes ) return;
 
     if ((wParam & 0xfff0) == SC_MOVE)
     {
Index: dlls/x11drv/x11drv_main.c
===================================================================
RCS file: /home/wine/wine/dlls/x11drv/x11drv_main.c,v
retrieving revision 1.47
diff -u -w -r1.47 x11drv_main.c
--- dlls/x11drv/x11drv_main.c	2001/11/30 23:15:32	1.47
+++ dlls/x11drv/x11drv_main.c	2002/01/28 03:14:48
@@ -55,7 +55,7 @@
 unsigned int screen_height;
 unsigned int screen_depth;
 Window root_window;
-int dxgrab, usedga, usexvidmode;
+int dxgrab, usedga, usexvidmode, usewmframes;
 
 unsigned int X11DRV_server_startticks;
 
@@ -221,6 +221,9 @@
 
     if (!get_config_key( hkey, appkey, "UseXVidMode", buffer, sizeof(buffer) ))
         usexvidmode = IS_OPTION_TRUE( buffer[0] );
+
+    if (!get_config_key( hkey, appkey, "WMFrames", buffer, sizeof(buffer) ))
+        usewmframes = IS_OPTION_TRUE( buffer[0] );
 
     screen_depth = 0;
     if (!get_config_key( hkey, appkey, "ScreenDepth", buffer, sizeof(buffer) ))
